﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Threading;
using System.Drawing;

namespace Wpf_CopyScreen
{
    /// <summary>
    /// Window1.xaml 的交互逻辑
    /// </summary>
    public partial class WindowMain : Window
    {
        //public ImageSource imageSource
        //{
        //    get 
        //    {
        //        return ((ImageBrush)imagePanel.Background).ImageSource;
        //    }
        //    set
        //    {
        //        imagePanel.Background = new ImageBrush(value);
        //    }
        //}

        public WindowMain()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Hide();
            Thread.Sleep(200);
            Bitmap newBitmap = CopyHelper.CopyFromScreen();
            ImageSource ISource = CopyHelper.BitMapToImageSource(newBitmap);
            
            ShowWinCopy(ISource);
        }

        private void ShowWinCopy(ImageSource ISource)
        {
            WindowCopy winCopy = new WindowCopy(ISource);
            winCopy.winMain = this;
            winCopy.Show();
        }
    }
}
